"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const base_1 = require("../base");
class Init extends base_1.default {
    async run() {
        if (fs.existsSync(path.join(this.config.configDir, "config.yml"))) {
            this.log("Configuration file has been initialized in: " +
                path.join(this.config.configDir, "config.yml"));
            this.log("Note that init does not overwrite any previously existing configuration file");
        }
        else {
            this.log("Unable to initialize configuration file in: " +
                path.join(this.config.configDir, "config.yml"));
        }
    }
}
exports.default = Init;
Init.description = "Initialize the configuration file";
Init.examples = ["$ jav init"];
