"use strict";
// tslint:disable-next-line: file-name-casing
Object.defineProperty(exports, "__esModule", { value: true });
const crunchWeeks = (issuesTree, node, closedIssues, emptyCalendar, userConfig) => {
    return issuesTree.treeToArray(node).reduce((acc, item) => {
        const issueExist = closedIssues.find(i => i.key === item.key);
        return acc.map((week) => {
            if (issueExist !== undefined && week.weekStart === issueExist.weekStart) {
                const issuesWeeks = [...week.list, issueExist];
                let weeklyPoints = week.points.count;
                // If current issue contains points, re-calculate weekly totals
                if (issueExist.fields[userConfig.jira.fields.points] !== undefined &&
                    issueExist.fields[userConfig.jira.fields.points] !== null) {
                    weeklyPoints = issuesWeeks
                        .filter((issue) => (issue.fields[userConfig.jira.fields.points] !== undefined &&
                        issue.fields[userConfig.jira.fields.points] !== null) ||
                        (issue.fields[userConfig.jira.fields.originalPoints] !==
                            undefined &&
                            issue.fields[userConfig.jira.fields.originalPoints] !== null))
                        .map((issue) => {
                        if (issue.fields[userConfig.jira.fields.points] !== undefined &&
                            issue.fields[userConfig.jira.fields.points] !== null) {
                            return issue.fields[userConfig.jira.fields.points];
                        }
                        else {
                            return issue.fields[userConfig.jira.fields.originalPoints];
                        }
                    })
                        .reduce((acc, points) => acc + points, 0);
                }
                return Object.assign(Object.assign({}, week), { list: issuesWeeks, issues: { count: issuesWeeks.length }, points: { count: weeklyPoints } });
            }
            return week;
        });
    }, emptyCalendar);
};
exports.default = crunchWeeks;
