"use strict";
// tslint:disable-next-line: file-name-casing
Object.defineProperty(exports, "__esModule", { value: true });
/*
  Recursively walk the tree searching for a particular issue key
*/
const isIssueInTree = (issuesTree, node, issueKey) => {
    for (const children of issuesTree.childrenIterator(node)) {
        const parent = issuesTree.parent(node);
        if (children.key === issueKey) {
            return true;
        }
        if (issuesTree.hasChildren(children)) {
            if (isIssueInTree(issuesTree, children, issueKey)) {
                return true;
            }
        }
    }
    return false;
};
const prepareOrphanIssues = (issuesTree, rootNode, closedIssues) => {
    const orphanIssue = [];
    for (const issue of closedIssues) {
        const issueInTree = isIssueInTree(issuesTree, rootNode, issue.key);
        if (!issueInTree) {
            orphanIssue.push(issue);
        }
    }
    return orphanIssue;
};
exports.default = prepareOrphanIssues;
