"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line: file-name-casing
const axios_1 = require("axios");
const jiraSearchIssues = async (jiraConfig, jqlQuery, field) => {
    const response = await axios_1.default({
        method: 'get',
        url: jiraConfig.host + '/rest/api/2/search',
        auth: {
            username: jiraConfig.username,
            password: jiraConfig.password
        },
        params: {
            jql: jqlQuery,
            startAt: 0,
            maxResults: 1500,
            fields: field
        }
    });
    if (response.data.issues.length > 0) {
        return response.data.issues;
    }
    return [];
};
exports.default = jiraSearchIssues;
