"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
    Returns an id from a team name by making the string lowercase and stripping all non alphanumerical characters
*/
exports.getTeamId = (teamName) => {
    return String(teamName)
        .replace('team-', '') // If team is prefixed by team-, we simply remove it from the string
        .replace(/[^a-z0-9+]+/gi, '')
        .toLowerCase();
};
exports.getTeamFromAssignee = (issue, teams) => {
    if (issue.fields.assignee === null) {
        return null;
    }
    else {
        for (const team of teams) {
            if (exports.getTeamId(issue.fields.assignee.name) === exports.getTeamId(team)) {
                return team;
            }
        }
    }
    return null;
};
