"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line: file-name-casing
/*
    This function creates an empty object containing all of the expected days and weeks between the passed dats with zeroed values
*/
const date_fns_1 = require("date-fns");
const dateUtils_1 = require("../misc/dateUtils");
const getEmptyCalendarObject = (issues, userConfig) => {
    // Sort the array by closedAt
    issues.sort((a, b) => a.closedAt > b.closedAt ? 1 : b.closedAt > a.closedAt ? -1 : 0);
    const emptyWeeks = {};
    const currentDate = dateUtils_1.formatDate(issues[0].closedAt);
    while (currentDate < dateUtils_1.formatDate(issues[issues.length - 1].closedAt)) {
        let currentMonthDay = currentDate.getDate();
        if (currentDate.getDay() !== 0) {
            currentMonthDay = currentMonthDay - currentDate.getDay();
        }
        const currentWeekYear = new Date(currentDate.getFullYear(), currentDate.getMonth(), currentMonthDay);
        if (emptyWeeks[currentWeekYear.toJSON().slice(0, 10)] === undefined) {
            emptyWeeks[currentWeekYear.toJSON().slice(0, 10)] = {
                list: [],
                issues: { count: 0 },
                points: { count: 0 },
                weekStart: currentWeekYear.toJSON(),
                weekTxt: date_fns_1.getYear(currentWeekYear) + '.' + date_fns_1.getWeek(currentWeekYear),
            };
        }
        currentDate.setDate(currentDate.getDate() + 1);
    }
    return emptyWeeks;
};
exports.default = getEmptyCalendarObject;
