"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line: file-name-casing
/*
    
*/
const date_fns_1 = require("date-fns");
const dateUtils_1 = require("../misc/dateUtils");
const getEmptyRoadmapObject = (lastCalendarWeek, futureWeeks) => {
    // Sort the array by closedAt
    const emptyWeeks = {};
    let cptDays = 0;
    const currentDate = dateUtils_1.formatDate(lastCalendarWeek.weekStart);
    while (cptDays < futureWeeks * 7) {
        let currentMonthDay = currentDate.getDate();
        if (currentDate.getDay() !== 0) {
            currentMonthDay = currentMonthDay - currentDate.getDay();
        }
        const currentWeekYear = new Date(currentDate.getFullYear(), currentDate.getMonth(), currentMonthDay);
        if (emptyWeeks[currentWeekYear.toJSON().slice(0, 10)] === undefined) {
            emptyWeeks[currentWeekYear.toJSON().slice(0, 10)] = {
                issues: { count: 0 },
                points: { count: 0 },
                weekStart: currentWeekYear.toJSON(),
                weekTxt: date_fns_1.getYear(currentWeekYear) + '.' + date_fns_1.getWeek(currentWeekYear)
            };
        }
        currentDate.setDate(currentDate.getDate() + 1);
        cptDays++;
    }
    return emptyWeeks;
};
exports.default = getEmptyRoadmapObject;
