"use strict";
// tslint:disable-next-line: file-name-casing
/*
    This function creates an empty object containing all of the expected days and weeks between the passed dats with zeroed values
*/
Object.defineProperty(exports, "__esModule", { value: true });
const dateUtils_1 = require("../misc/dateUtils");
const issuesClosedByWeek = (issues, userConfig, emptyCalendar) => {
    const weeks = JSON.parse(JSON.stringify(emptyCalendar));
    for (const issue of issues) {
        const firstDayWeekDate = dateUtils_1.startOfWeek(new Date(issue.closedAt));
        const firstDayWeekKey = firstDayWeekDate.toJSON().slice(0, 10);
        weeks[firstDayWeekKey].list.push(issue);
        weeks[firstDayWeekKey].issues.count = weeks[firstDayWeekKey].list.length;
        if (issue.fields[userConfig.jira.fields.points] !== undefined &&
            issue.fields[userConfig.jira.fields.points] !== null) {
            weeks[firstDayWeekKey].points.count = weeks[firstDayWeekKey].list
                .filter((issue) => issue.fields[userConfig.jira.fields.points] !== undefined &&
                issue.fields[userConfig.jira.fields.points] !== null)
                .map((issue) => issue.fields[userConfig.jira.fields.points])
                .reduce((acc, points) => acc + points, 0);
        }
    }
    return weeks;
};
exports.default = issuesClosedByWeek;
