"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line: file-name-casing
const fs = require("fs");
const path = require("path");
const readline = require("readline");
const stream = require("stream");
const loadJsonFile = require("load-json-file");
const teamUtils_1 = require("../misc/teamUtils");
//https://medium.com/@wietsevenema/node-js-using-for-await-to-read-lines-from-a-file-ead1f4dd8c6f
const readLines = (input) => {
    const output = new stream.PassThrough({ objectMode: true });
    const rl = readline.createInterface({ input });
    rl.on('line', line => {
        output.write(line);
    });
    rl.on('close', () => {
        output.push(null);
    });
    return output;
};
const teamVelocityFromCache = async (userConfig, cacheDir) => {
    const teamsVelocity = [];
    for (const team of userConfig.roadmap.teams) {
        const teamCacheFile = path.join(cacheDir, 'velocity-artifacts-' + teamUtils_1.getTeamId(team) + '.json');
        if (fs.existsSync(teamCacheFile)) {
            const teamVelocity = loadJsonFile.sync(teamCacheFile);
            teamsVelocity.push({
                team: team,
                velocity: teamVelocity.health.weeks.velocity,
            });
        }
    }
    return teamsVelocity;
};
exports.default = teamVelocityFromCache;
