"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line: file-name-casing
/*
    This function creates an empty object containing all of the expected days and weeks between the passed dats with zeroed values
*/
const date_fns_1 = require("date-fns");
const dateUtils_1 = require("../misc/dateUtils");
const initCalendar = (fromDate) => {
    const initObject = {
        days: {},
        weeks: {},
        open: {},
        forecast: {},
        health: {}
    };
    const days = [
        'Sunday',
        'Monday',
        'Tuesday',
        'Wednesday',
        'Thursday',
        'Friday',
        'Saturday'
    ];
    const emptyCompletion = {
        issues: { count: 0, velocity: 0 },
        points: { count: 0, velocity: 0 },
        list: []
    };
    const toDay = new Date();
    toDay.setDate(toDay.getDate() - 1); // We don't process current day, only fetching closed issues on past days
    const currentDate = dateUtils_1.formatDate(fromDate);
    while (currentDate < toDay) {
        currentDate.setDate(currentDate.getDate() + 1);
        initObject.days[currentDate.toJSON().slice(0, 10)] = {
            date: currentDate.toJSON(),
            weekDay: currentDate.getDay(),
            weekDayJira: currentDate.toJSON().slice(0, 10),
            weekDayTxt: days[currentDate.getDay()],
            weekNb: date_fns_1.getWeek(currentDate),
            weekTxt: date_fns_1.getYear(currentDate) + '.' + date_fns_1.getWeek(currentDate),
            completion: Object.assign({}, emptyCompletion),
            scopeChangeCompletion: Object.assign({}, emptyCompletion)
        };
        let currentMonthDay = currentDate.getDate();
        if (currentDate.getDay() !== 0) {
            currentMonthDay = currentMonthDay - currentDate.getDay();
        }
        const currentWeekYear = new Date(currentDate.getFullYear(), currentDate.getMonth(), currentMonthDay);
        // tslint:disable-next-line: strict-type-predicates
        if (initObject.weeks[currentWeekYear.toJSON().slice(0, 10)] === undefined) {
            initObject.weeks[currentWeekYear.toJSON().slice(0, 10)] = {
                weekStart: currentWeekYear.toJSON(),
                date: currentWeekYear.toJSON(),
                weekNb: date_fns_1.getWeek(currentWeekYear),
                weekTxt: date_fns_1.getYear(currentWeekYear) + '.' + date_fns_1.getWeek(currentWeekYear),
                weekJira: currentWeekYear.toJSON().slice(0, 10),
                completion: Object.assign({}, emptyCompletion),
                scopeChangeCompletion: Object.assign({}, emptyCompletion)
            };
        }
    }
    return initObject;
};
exports.default = initCalendar;
