"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const calculateAverageVelocity_1 = require("./calculateAverageVelocity");
/*
    This function calculates and insert daily velocity metrics
*/
const insertDailyVelocity = (calendar) => {
    const updatedCalendar = JSON.parse(JSON.stringify(calendar));
    const ticketsPerDay = Object.values(updatedCalendar.days);
    let startIdx = 0;
    for (let idx = 0; idx < ticketsPerDay.length; idx++) {
        //ticketsPerDay.map((value: any, idx: number) => {
        // Rolling averages are calculates over a window of 20 days
        if (idx <= 20) {
            startIdx = 0;
        }
        else {
            startIdx = idx - 20;
        }
        if (idx !== 0) {
            /*
            console.log(
              "Daily Velocity - Processing window: " +
                startIdx +
                " -> " +
                idx +
                ", from: " +
                ticketsPerDay[startIdx].date +
                " to: " +
                ticketsPerDay[idx].date
            );
            */
            const currentWindowIssues = ticketsPerDay.slice(startIdx, idx);
            ticketsPerDay[idx].completion.issues.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'completion', 'issues');
            ticketsPerDay[idx].completion.points.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'completion', 'points');
            ticketsPerDay[idx].scopeChangeCompletion.issues.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'scopeChangeCompletion', 'issues');
            ticketsPerDay[idx].scopeChangeCompletion.points.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'scopeChangeCompletion', 'points');
        }
    }
    return ticketsPerDay;
};
exports.default = insertDailyVelocity;
