"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
    This function add details about the open issues
*/
const insertOpen = (calendar, issues, 
// eslint-disable-next-line
jira_points) => {
    const updatedCalendar = JSON.parse(JSON.stringify(calendar));
    const remainingPoints = issues
        .filter((issue) => issue.fields[jira_points] !== undefined)
        .map((issue) => issue.fields[jira_points])
        .reduce((acc, points) => acc + points, 0);
    updatedCalendar.open = {
        issues: { count: issues.length },
        points: { count: remainingPoints },
        list: issues
    };
    return updatedCalendar;
};
exports.default = insertOpen;
