"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const calculateAverageVelocity_1 = require("./calculateAverageVelocity");
/*
    This function calculates and insert daily velocity metrics
*/
const insertWeeklyVelocity = (calendar) => {
    const updatedCalendar = JSON.parse(JSON.stringify(calendar));
    const ticketsPerWeek = Object.values(updatedCalendar.weeks);
    let startIdx = 0;
    for (let idx = 0; idx < ticketsPerWeek.length; idx++) {
        // Rolling averages are calculates over a window of 4 weeks
        if (idx <= 4) {
            startIdx = 0;
        }
        else {
            startIdx = idx - 4;
        }
        if (idx !== 0) {
            /*
            console.log(
              "Weekly Velocity - Processing window: " +
                startIdx +
                " -> " +
                idx +
                ", from: " +
                ticketsPerWeek[startIdx].date +
                " to: " +
                ticketsPerWeek[idx].date
            );
            */
            const currentWindowIssues = ticketsPerWeek.slice(startIdx, idx);
            ticketsPerWeek[idx].completion.issues.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'completion', 'issues');
            ticketsPerWeek[idx].completion.points.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'completion', 'points');
            ticketsPerWeek[idx].scopeChangeCompletion.issues.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'scopeChangeCompletion', 'issues');
            ticketsPerWeek[idx].scopeChangeCompletion.points.velocity = calculateAverageVelocity_1.default(currentWindowIssues, 'scopeChangeCompletion', 'points');
        }
    }
    return ticketsPerWeek;
};
exports.default = insertWeeklyVelocity;
